org.apache.ignite.cluster

## Class ClusterGroupEmptyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.cluster.ClusterTopologyException
          - - org.apache.ignite.cluster.ClusterGroupEmptyException

- All Implemented Interfaces:
    Serializable

      public class ClusterGroupEmptyException
      extends ClusterTopologyException

  This exception defines illegal call on empty cluster group. Thrown by cluster group when operation that requires at least one node is called on empty cluster group.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterGroupEmptyException()` Creates new exception with default error message.
    `ClusterGroupEmptyException(String msg)` Creates new exception with given error message.
    `ClusterGroupEmptyException(String msg, @Nullable Throwable cause)` Creates a new exception with given error message and optional nested cause exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.cluster.ClusterTopologyException

      `retryReadyFuture, retryReadyFuture`

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterGroupEmptyException

          public ClusterGroupEmptyException()

      Creates new exception with default error message.

    - #### ClusterGroupEmptyException

          public ClusterGroupEmptyException(String msg)

      Creates new exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### ClusterGroupEmptyException

          public ClusterGroupEmptyException(String msg,
                                            @Nullable
                                            @Nullable Throwable cause)

      Creates a new exception with given error message and optional nested cause exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023